// fpga_rgmii_subsys.v

// Generated using ACDS version 24.3.1 102

`timescale 1 ps / 1 ps
module fpga_rgmii_subsys (
		input  wire       clk_clk,                //       clk.clk
		input  wire       hps_gmii_mac_tx_clk_o,  //  hps_gmii.mac_tx_clk_o
		input  wire       hps_gmii_mac_rst_tx_n,  //          .mac_rst_tx_n
		input  wire       hps_gmii_mac_rst_rx_n,  //          .mac_rst_rx_n
		input  wire [7:0] hps_gmii_mac_txd_o,     //          .mac_txd_o
		input  wire       hps_gmii_mac_txen,      //          .mac_txen
		input  wire       hps_gmii_mac_txer,      //          .mac_txer
		input  wire [2:0] hps_gmii_mac_speed,     //          .mac_speed
		output wire       hps_gmii_mac_tx_clk_i,  //          .mac_tx_clk_i
		output wire       hps_gmii_mac_rx_clk,    //          .mac_rx_clk
		output wire       hps_gmii_mac_rxdv,      //          .mac_rxdv
		output wire       hps_gmii_mac_rxer,      //          .mac_rxer
		output wire [7:0] hps_gmii_mac_rxd,       //          .mac_rxd
		output wire       hps_gmii_mac_col,       //          .mac_col
		output wire       hps_gmii_mac_crs,       //          .mac_crs
		input  wire       phy_rgmii_rgmii_rx_clk, // phy_rgmii.rgmii_rx_clk
		input  wire [3:0] phy_rgmii_rgmii_rxd,    //          .rgmii_rxd
		input  wire       phy_rgmii_rgmii_rx_ctl, //          .rgmii_rx_ctl
		output wire       phy_rgmii_rgmii_tx_clk, //          .rgmii_tx_clk
		output wire [3:0] phy_rgmii_rgmii_txd,    //          .rgmii_txd
		output wire       phy_rgmii_rgmii_tx_ctl, //          .rgmii_tx_ctl
		input  wire       reset_reset             //     reset.reset
	);

	wire    clock_in_out_clk_clk;     // clock_in:out_clk -> [intel_gmii_to_rgmii_converter_0:peri_clock_clk, iopll_0:refclk, reset_in:clk]
	wire    iopll_0_outclk0_clk;      // iopll_0:outclk_0 -> intel_gmii_to_rgmii_converter_0:pll_25m_clock_clk
	wire    iopll_0_outclk1_clk;      // iopll_0:outclk_1 -> intel_gmii_to_rgmii_converter_0:pll_2_5m_clock_clk
	wire    iopll_0_locked_export;    // iopll_0:locked -> intel_gmii_to_rgmii_converter_0:locked_pll_tx_export
	wire    reset_in_out_reset_reset; // reset_in:out_reset -> [intel_gmii_to_rgmii_converter_0:peri_reset_reset, iopll_0:rst]

	clock_in clock_in (
		.in_clk  (clk_clk),              //   input,  width = 1,  in_clk.clk
		.out_clk (clock_in_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	intel_gmii_to_rgmii_converter_0 intel_gmii_to_rgmii_converter_0 (
		.hps_gmii_mac_tx_clk_o  (hps_gmii_mac_tx_clk_o),    //   input,  width = 1,       hps_gmii.mac_tx_clk_o
		.hps_gmii_mac_rst_tx_n  (hps_gmii_mac_rst_tx_n),    //   input,  width = 1,               .mac_rst_tx_n
		.hps_gmii_mac_rst_rx_n  (hps_gmii_mac_rst_rx_n),    //   input,  width = 1,               .mac_rst_rx_n
		.hps_gmii_mac_txd_o     (hps_gmii_mac_txd_o),       //   input,  width = 8,               .mac_txd_o
		.hps_gmii_mac_txen      (hps_gmii_mac_txen),        //   input,  width = 1,               .mac_txen
		.hps_gmii_mac_txer      (hps_gmii_mac_txer),        //   input,  width = 1,               .mac_txer
		.hps_gmii_mac_speed     (hps_gmii_mac_speed),       //   input,  width = 3,               .mac_speed
		.hps_gmii_mac_tx_clk_i  (hps_gmii_mac_tx_clk_i),    //  output,  width = 1,               .mac_tx_clk_i
		.hps_gmii_mac_rx_clk    (hps_gmii_mac_rx_clk),      //  output,  width = 1,               .mac_rx_clk
		.hps_gmii_mac_rxdv      (hps_gmii_mac_rxdv),        //  output,  width = 1,               .mac_rxdv
		.hps_gmii_mac_rxer      (hps_gmii_mac_rxer),        //  output,  width = 1,               .mac_rxer
		.hps_gmii_mac_rxd       (hps_gmii_mac_rxd),         //  output,  width = 8,               .mac_rxd
		.hps_gmii_mac_col       (hps_gmii_mac_col),         //  output,  width = 1,               .mac_col
		.hps_gmii_mac_crs       (hps_gmii_mac_crs),         //  output,  width = 1,               .mac_crs
		.phy_rgmii_rgmii_rx_clk (phy_rgmii_rgmii_rx_clk),   //   input,  width = 1,      phy_rgmii.rgmii_rx_clk
		.phy_rgmii_rgmii_rxd    (phy_rgmii_rgmii_rxd),      //   input,  width = 4,               .rgmii_rxd
		.phy_rgmii_rgmii_rx_ctl (phy_rgmii_rgmii_rx_ctl),   //   input,  width = 1,               .rgmii_rx_ctl
		.phy_rgmii_rgmii_tx_clk (phy_rgmii_rgmii_tx_clk),   //  output,  width = 1,               .rgmii_tx_clk
		.phy_rgmii_rgmii_txd    (phy_rgmii_rgmii_txd),      //  output,  width = 4,               .rgmii_txd
		.phy_rgmii_rgmii_tx_ctl (phy_rgmii_rgmii_tx_ctl),   //  output,  width = 1,               .rgmii_tx_ctl
		.pll_25m_clock_clk      (iopll_0_outclk0_clk),      //   input,  width = 1,  pll_25m_clock.clk
		.pll_2_5m_clock_clk     (iopll_0_outclk1_clk),      //   input,  width = 1, pll_2_5m_clock.clk
		.locked_pll_tx_export   (iopll_0_locked_export),    //   input,  width = 1,  locked_pll_tx.export
		.peri_reset_reset       (reset_in_out_reset_reset), //   input,  width = 1,     peri_reset.reset
		.peri_clock_clk         (clock_in_out_clk_clk)      //   input,  width = 1,     peri_clock.clk
	);

	iopll_0 iopll_0 (
		.refclk   (clock_in_out_clk_clk),     //   input,  width = 1,  refclk.clk
		.locked   (iopll_0_locked_export),    //  output,  width = 1,  locked.export
		.rst      (reset_in_out_reset_reset), //   input,  width = 1,   reset.reset
		.outclk_0 (iopll_0_outclk0_clk),      //  output,  width = 1, outclk0.clk
		.outclk_1 (iopll_0_outclk1_clk)       //  output,  width = 1, outclk1.clk
	);

	reset_in reset_in (
		.clk       (clock_in_out_clk_clk),     //   input,  width = 1,       clk.clk
		.in_reset  (reset_reset),              //   input,  width = 1,  in_reset.reset
		.out_reset (reset_in_out_reset_reset)  //  output,  width = 1, out_reset.reset
	);

endmodule
